nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::IList< IItem > Class Template Referenceabstract
Inheritance diagram for nx::sdk::IList< IItem >:

## Public Member Functions
virtual int | count () const =0
Ptr< IItem > | at (int index) const
Public Member Functions inherited from nx::sdk::Interface< IList< IItem > >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Protected Member Functions
virtual IItem * | getAt (int index) const =0
Protected Member Functions inherited from nx::sdk::Interface< IList< IItem > >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ at()

template<typename IItem>

Ptr<IItem> nx::sdk::IList< IItem >::at | ( | int | index | ) | const
| inline

Returns
  Element at the zero-based index, or null if the index is invalid.

## ◆ getAt()

template<typename IItem>

virtual IItem* nx::sdk::IList< IItem >::getAt | ( | int | index | ) | const
| protected pure virtual

Called by at()

Implemented in nx::sdk::List< IItem >, nx::sdk::List< nx::sdk::cloud_storage::IIndexArchive >, and nx::sdk::List< nx::sdk::cloud_storage::ICodecInfo >.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_list.h